### Config 中的属性 在wiki中将有详细的解释
## 故在此译者仅注释服主常用的属性，详细属性介绍请移步至wiki查看
# https://www.mcbbs.net/thread-1363713-1-1.html
metrics: true
# 更新提醒
update-checker: true
# 关闭插件加载信息
disable-plugin-loading-messages_DONT_ASK_ME_FOR_SUPPORT_IF_YOU_SET_TRUE__THANKS: false
# 忽略服务器兼容性检查
ignore-server-compatibility-check: false
# 资源包设置
resource-pack:
  # 托管方式
  hosting:
    no-host:
      enabled: false
    auto-external-host:
      enabled: false
    self-host:
      enabled: false
      server-ip: '127.0.0.1'
      pack-port: 8163
    external-host:
      enabled: false
      url: ''
      skip-url-file-type-check___DONT_ASK_HELP_IF_SET_TRUE: false
  # 在玩家加入游戏时应用资源包
  apply-on-join: true
  # 踢出拒绝接受资源包的玩家
  kick-player-on-decline: false
  # 踢出接受资源包失败的玩家
  kick-player-on-fail: false
  delay-ticks: 1
  notify-other-plugins-interfering: true
  # 资源包标题
  title:
    enabled: true
  1_19_3_atlas_support: true
  fix_force_unicode_font_images: true
  protect-player:
    black-screen: true
    hide-hud: true
    cancel-movement: true
    lock-player: true
  command:
    usage-cooldown-seconds: 60
  # 自定义字体
  custom-font:
    enabled: false
    name: "ipaexg.ttf"
    shift: "[0,0]"
    size: 11.0
    oversample: 2.0
  thin-font:
    enabled: false
  # 资源包设置
  zip:
    # 防窃取保护
    protect-file-from-unzip:
      protection_1: true
      protection_2: true
    # 压缩png文件大小
    compress-png-files: true
    # 压缩json文件大小
    compress-json-files: true
    # 生成自定义盔甲材质
    generate-custom-armors-textures:
      vanilla_1_17: true
      optifine: true
    # 关闭覆盖盔甲材质
    disable-overwrite-leather-armor-layers-textures: false
    fix_transparent_noteblocks: false
    ignore-files-ext:
      - db
      - yml
      - xcf
      - psd
      - html
      - gz
      - rar
      - zip
      - 7z
    extract_internal_utility_assets: true
    contents-folders-priority:
      - vanilla
      - _iainternal
    merge_other_plugins_resourcepacks_folders:
      - "ModelEngine/resource pack"
  items:
    CustomModelData-starting-value:
      ALL: 10000
      DIAMOND: 11000
# 语言文件设置
config_files:
  lang: 'en'
  dictionaries-lang: 'en'
  force-sync-loading: false
# 自定义方块设置
blocks:
  light-api: true
  fix-liquids-flow: true
  fix-floating-blocks: true
  fix-glitched-blocks:
    enabled: true
    only-new-chunks: false
  cancel-break-wrong-tool:
    enabled: true
    send-actionbar: true
  campfire:
    unlit-on-place: true
    allow-any-item: true
    drop_when_broken: false
  disable-REAL: false
  disable-REAL_NOTE: false
  disable-REAL_TRANSPARENT: false
  disable-REAL_WIRE: true
  disable-FIRE: false
  convert-vanilla-blocks:
    enabled: false
    only-new-chunks: true
  convert-legacy-ia-region-files: true
  remove-unused-palettes-on-region-save: false
items:
  fix-show-attack-and-damage-as-lore: true
  give_death_location_maps: true
  hide-custom-durability-lore: false
liquids:
  enabled: true
huds:
  enabled: true
loots:
  allow-loots-drop-from-spawners-using-silk-touch: true
mobs:
  disable-MOB-behaviour__DISABLE_AT_YOUR_OWN_RISK: false
# 自定义图像
font_images:
  replace-in-customitems-name-and-lore: true
  chat:
    enabled: true
    doublecheck-permission__disable-for-more-performance: false
    add-hover-suggestion: true
    tab-autocompletion_1_19_1_plus: true
  command:
    enabled: true
    commandblocks: true
    excluded:
      - home
      - sethome
      - tpa
  sign:
    enabled: true
  book:
    enabled: true
  anvil:
    enabled: true
  inventory-title:
    enabled: true
  vault-prefix-suffix:
    enabled: true
    update-every-ticks: 1200
  scoreboard-teams:
    enabled: false
    update-every-ticks: 3600
  player-display-name:
    enabled: true
    update-every-ticks: 1200
  iaimage-book:
    max-line-length: 18
    placeholder-font: "minecraft:default"
effects:
  hide-scoreboard-numbers: false
  text-effects:
    enabled: true
    replace-in-customitems-name-and-lore: true
    chat:
      enabled: true
    sign:
      enabled: true
    book:
      enabled: true
    anvil:
      enabled: true
# 实体设置
entities:
  # 每个区块存在最大实体数量
  max-furniture-vehicles-per-chunk: 30
  allow-removing-old-furnitures_2_3_11: false
  custom-entitites:
    enabled: true
    emotes: true
    interval-rendering-packets-ticks: 1
    optimized-packets: true
recipes:
  hide-vanilla-unrecognized-recipe-errors: true
  fix-packet-too-large-kick: false
  show-no-permission-popup-in-recipebook: true
  show-no-permission-chat-message: false
  custom-recipes:
    unlock:
      all-on-join: false
      on-pickup:
        any: true
        ingredients: true
  remove-vanilla-recipes:
    enabled: true
    list:
      "DIAMOND_SWORD": false
      "IRON_INGOT": false
debug:
  benchmark: false
  items:
    log-files-loading: false
    log-items-loading: false
    log-items-loading-disabled: false
    log-font-images-loading: false
    log-huds-loading: false
    log-attribute-modifiers-loading: false
    log-warnings: false
    log-loots-loading: false
    log-loots-loading-disabled: false
    log-armors-loading: false
  recipes:
    log-recipes-loading: false
    log-recipes-loading-disabled: false
    log-recipes-removed-vanilla: false
    log-recipes-unknown-item: false
    log-fix-packet-too-large: false
  resource-pack:
    log-extract-default-resources: false
    log-not-extract-default-resources-already-exist: false
  blocks:
    log-save-load:
      enabled: false
      min-ms: 0
    log-mined-unknown-blocks: true
    log-convert-vanilla-blocks: false
    log-fix-bugged-blocks: false
    log-unusual-block-break: false
  worlds-populators:
    log-loading: false
    log-loading-disabled: false
    log-loading-no-populators: false
    log-loading-no-world: true
    log-generation: false
  trees-populators:
    log-loading: false
    log-loading-disabled: false
    log-loading-no-populators: false
    log-loading-no-world: true
    log-generation: false
  surface-decorators:
    log-loading: false
    log-loading-disabled: false
    log-loading-no-decorators: false
    log-loading-no-world: true
    log-generation: false
  cave-decorators:
    log-loading: false
    log-loading-disabled: false
    log-loading-no-decorators: false
    log-loading-no-world: true
    log-generation: false
  player-stats:
    log-save: false
  performance:
    loading-ms: true
  huds:
    log-triggers: false
  other:
    log-dictionaries-loading: false
    log-liquids-loading: false
    log-minecraft_lang_overwrite-loading: false
  categories:
    log-total-loaded: true
    log-single-loaded: false
    log-single-loaded-overwrite: false
    log-single-skip: false
    log-icon-failed-load: false
  entities:
    log-files-loading: false
    log-entities-loading: false
    log-entities-loading-disabled: false